Retrieve alerts. Omit the alert ID to fetch all alerts, or include it to retrieve a specific alert.
# Get all alerts
curl -X GET 'https://api.cloud.blnkfinance.com/alerts' \
-H 'Authorization: Bearer YOUR_API_KEY'
# Get specific alert by ID
curl -X GET 'https://api.cloud.blnkfinance.com/alerts/ano_8a380fd1-0289-46d1-bc76-aa17a510a64e' \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"anomaly_id": "ano_8a380fd1-0289-46d1-bc76-aa17a510a64e",
"title": "An identity has been flagged in a sanction list.",
"description": "this is a test",
"type": "Balance",
"assigned_to": "jerrys enebeli",
"escalated_to": [
"user_01K4EX0BRXHNNGCRVT2TPNK07W"
],
"status": "FLAGGED",
"created_at": "2026-01-15T09:22:37.55763+01:00",
"updated_at": "2026-01-15T09:26:03.094425+01:00",
"affected_balances": [
"bln_20f02af6-3728-4d37-9b5a-c7ed080f09df"
],
"affected_identities": [],
"affected_transactions": []
}
# Get all alerts
curl -X GET 'https://api.cloud.blnkfinance.com/alerts' \
-H 'Authorization: Bearer YOUR_API_KEY'
# Get specific alert by ID
curl -X GET 'https://api.cloud.blnkfinance.com/alerts/ano_8a380fd1-0289-46d1-bc76-aa17a510a64e' \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"anomaly_id": "ano_8a380fd1-0289-46d1-bc76-aa17a510a64e",
"title": "An identity has been flagged in a sanction list.",
"description": "this is a test",
"type": "Balance",
"assigned_to": "jerrys enebeli",
"escalated_to": [
"user_01K4EX0BRXHNNGCRVT2TPNK07W"
],
"status": "FLAGGED",
"created_at": "2026-01-15T09:22:37.55763+01:00",
"updated_at": "2026-01-15T09:26:03.094425+01:00",
"affected_balances": [
"bln_20f02af6-3728-4d37-9b5a-c7ed080f09df"
],
"affected_identities": [],
"affected_transactions": []
}
# Get all alerts
curl -X GET 'https://api.cloud.blnkfinance.com/alerts' \
-H 'Authorization: Bearer YOUR_API_KEY'
# Get specific alert by ID
curl -X GET 'https://api.cloud.blnkfinance.com/alerts/ano_8a380fd1-0289-46d1-bc76-aa17a510a64e' \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"anomaly_id": "ano_8a380fd1-0289-46d1-bc76-aa17a510a64e",
"title": "An identity has been flagged in a sanction list.",
"description": "this is a test",
"type": "Balance",
"assigned_to": "jerrys enebeli",
"escalated_to": [
"user_01K4EX0BRXHNNGCRVT2TPNK07W"
],
"status": "FLAGGED",
"created_at": "2026-01-15T09:22:37.55763+01:00",
"updated_at": "2026-01-15T09:26:03.094425+01:00",
"affected_balances": [
"bln_20f02af6-3728-4d37-9b5a-c7ed080f09df"
],
"affected_identities": [],
"affected_transactions": []
}